--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns a pre existing instance of a model from the record map
- !ruby/struct:SM::Flow::P 
  body: "@param klass [Class, DataMapper::Resource] @param name [Symbol]"
- !ruby/struct:SM::Flow::P 
  body: "@returns [DataMapper::Resource] existing instance of a model from the record map @raises DataMapper::Sweatshop::NoFixtureExist when requested fixture does not exist in the record map"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Sweatshop::pick
is_singleton: true
name: pick
params: (klass, name)
visibility: public
